name:                 stm
version:              2.5.3.1
visibility:           public
id:                   stm-2.5.3.1-inplace
key:                  stm-2.5.3.1-inplace
license:              BSD-3-Clause
maintainer:           libraries@haskell.org
homepage:             https://wiki.haskell.org/Software_transactional_memory
synopsis:             Software Transactional Memory
description:
    Software Transactional Memory, or STM, is an abstraction for
    concurrent communication. The main benefits of STM are
    /composability/ and /modularity/. That is, using STM you can write
    concurrent abstractions that can be easily composed with any other
    abstraction built using STM, without exposing the details of how
    your abstraction ensures safety. This is typically not the case
    with other forms of concurrent communication, such as locks or
    'MVar's.

category:             Concurrency
abi:                  a3c870b4407de5854595e303cf61ad16
exposed:              True
exposed-modules:
    Control.Concurrent.STM Control.Concurrent.STM.TArray
    Control.Concurrent.STM.TBQueue Control.Concurrent.STM.TChan
    Control.Concurrent.STM.TMVar Control.Concurrent.STM.TQueue
    Control.Concurrent.STM.TSem Control.Concurrent.STM.TVar
    Control.Monad.STM

hidden-modules:       Control.Sequential.STM
import-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/stm-2.5.3.1-inplace

library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/stm-2.5.3.1-inplace

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/stm-2.5.3.1-inplace

dynamic-library-dirs: ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1
data-dir:             ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/stm-2.5.3.1
hs-libraries:         HSstm-2.5.3.1-inplace
depends:              array-0.5.7.0-inplace base-4.20.0.0-inplace
haddock-interfaces: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/stm-2.5.3.1-inplace/stm.haddock"


haddock-html: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/stm-2.5.3.1-inplace"
